### Method

# Atk Document get_document

deprecated: Unknown

#### Declaration [src]

    gpointer
    atk_document_get_document (
      AtkDocument* document
    )

#### Description [src]

Gets a %gpointer that points to an instance of the DOM. It is up to the caller to check atk_document_get_type to determine how to cast this pointer.

Deprecated since: Unknown

Since 2.12. `document` is already a representation of the document. Use it directly, or one of its children, as an instance of the DOM.

#### Return value

Type: `gpointer`

A %gpointer that points to an instance of the DOM.

The returned data is owned by the instance.
The return value can be `NULL`.